View Issue Details

IDProjectCategoryView StatusLast Update
0003214Expressions[FreeCAD] Bugpublic2018-01-30 23:48
ReportermlampertAssigned Towmayer 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0003214: Back reference for expressions not cleaned up properly on object deletion.
DescriptionIf an object is deleted that has expressions attached to its properties it results in an invalid DAG. As it turns out the back references are not cleaned up.

Forum thread (with script to reproduce):
https://forum.freecadweb.org/viewtopic.php?f=10&t=24841
Tagsbacklinks, expressions

Relationships

has duplicate 0003279 closedeivindkvedalen Error "invalid DAG" after deleting sketch using expressions 

Activities

wmayer

2018-01-30 23:48

administrator   ~0010904

https://github.com/FreeCAD/FreeCAD/commit/114cdc682242cad0289141d0bff15fa11cc61bd1

Issue History

Date Modified Username Field Change
2017-10-11 17:52 mlampert New Issue
2017-10-18 11:28 wmayer Target Version => 0.17
2017-11-04 12:12 Kunda1 Tag Attached: expressions
2017-11-04 12:13 Kunda1 Tag Attached: backlinks
2017-12-02 16:27 wmayer Relationship added has duplicate 0003279
2017-12-13 15:29 Kunda1 Project FreeCAD => Expressions
2018-01-01 18:11 wmayer Severity major => block
2018-01-30 23:48 wmayer Assigned To => wmayer
2018-01-30 23:48 wmayer Status new => closed
2018-01-30 23:48 wmayer Resolution open => fixed
2018-01-30 23:48 wmayer Fixed in Version => 0.17
2018-01-30 23:48 wmayer Note Added: 0010904